﻿    @using PROJETMODELE.Models.BML.TG
@{
    DroitsBM droitUtilisateur = new DroitsBM();
    List<string> cmd = droitUtilisateur.CommandeExecutableUser(Session["Code_User"].ToString());

    Layout = null;
}

<script>
    // handle context menu clicks.
    var documentName = ["id:id:string", "Libelle:Produit:string:30%", "Montant_Achat:Montant Achat:number:20%:sum", "Montant_Vente:Montant Vente:number:20%:sum", "Benefice:Bénéfice:number:27.6%:sum"];
</script> 


<input id="LoardUrl" value="/Statistique/ajaxCasierBenefice" type="hidden" />
<input id="actifsupUrl" value="/Statistique/Activer_Suspendre/" type="hidden" />
<input id="histoUrl" value="/Historique_Solde/IndexHistoriqueSoldeCaisse/" type="hidden" />
<input id="telechargerUrl" value="/Base/ExportEtatCaisse/0" type="hidden" />
<script  src="~/Scripts/IndexJS.js"></script>
 <div id="messages">
    <div>
        Confirmation
    </div>
    <div class="cont">
            <br />
        <div> 
            Sélectionnez un seul enrégistrement !
        </div>   
    </div>
</div>
  <div id="confirm">
        <div>
            Confirmation
        </div>
    <div class="cont">
            <br />
        <div> 
            Voulez-vous confirmer cette action ?
        </div>   
        <div>
                <br />
                  <button title="OK"  type="button" id="ok" class="oufbutton"><i class="ouf-ok"></i> OK</button>
          <button title="Annuler"  type="button" id="annuler" class="oufbutton"><i class="ouf-cancel"></i> Annuler</button>
        </div>
    </div>
</div> 

<span style="font-weight:bold"></span>
<div class="boutons text-right">
   @Html.Partial("Filtre")
   
        
      
      
         
     
 </div>
  <div  id="grades"></div>
  <div id='Menu'>
        <ul>
       
       
        </ul>
   </div>
<script>
    
        $("#telecharger").on('click', function (event) {
            var textData = "";
            var Rowd = $('#grades').jqxGrid('getrows');
            for (var i = 0; i < Rowd.length; i++) {
                if (i == 0) {
                    textData = Rowd[i].id;
                } else {
                    textData = textData + ";" + Rowd[i].id;
                }
            }
            $("#loaderSpace,#loader").show();
            $.ajax({
                url: '/Base/SetTitre',
                type: 'post',
                data: {
                    q: textData
                },
                success: function (data) {
                    $("#loaderSpace,#loader").hide();
                    window.location = "/Base/ExportEtatCaisse/0";
                    //réponse du serveur
                }
            });
        });


    /*
     $("#pdf").off("change");
    $("#pdf").on("click", function (event) {
        ChangerDepot();
        return true;
    });

    ChangerDepot = function () {
        $("#loaderSpace,#loader").show();
        $.ajax({
            url: '/Base/ChangerE/1' , // le nom du fichier indiqué dans le formulaire
            type: 'POST', // la méthode indiquée dans le formulaire (get ou post)
            dataType: 'json'
        })
        .success(function (response) {
           
            $("#loaderSpace,#loader").hide();
        })
        .error(function () {
            $("#loaderSpace,#loader").hide();
            alert('echeck');
        });
    };
    */

</script>

  
